## ros-foxy-rmw-connext-shared-cpp 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_connext_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(connext_cmake_module REQUIRED)
find_package(Connext QUIET MODULE)
if(Connext_FOUND)
  find_package(Connext MODULE)
endif()
if(NOT Connext_FOUND)
  ament_package()
  message(WARNING "Could not find RTI Connext - skipping '${PROJECT_NAME}'")
  return()
endif()
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)

include_directories(include)

ament_export_include_directories(include)

ament_export_dependencies(rmw)

link_directories(${Connext_LIBRARY_DIRS})
add_library(
  rmw_connext_shared_cpp
  SHARED
  src/condition_error.cpp
  src/count.cpp
  src/demangle.cpp
  src/event.cpp
  src/event_converter.cpp
  src/guard_condition.cpp
  src/init.cpp
  src/namespace_prefix.cpp
  src/node.cpp
  src/node_names.cpp
  src/qos.cpp
  src/names_and_types_helpers.cpp
  src/node_info_and_types.cpp
  src/security_logging.cpp
  src/service_names_and_types.cpp
  src/topic_names_and_types.cpp
  src/trigger_guard_condition.cpp
  src/wait_set.cpp
  src/types/custom_data_reader_listener.cpp
  src/types/custom_publisher_listener.cpp
  src/types/custom_subscriber_listener.cpp
  src/topic_endpoint_info.cpp)
ament_target_dependencies(rmw_connext_shared_cpp
  "rcpputils"
  "rcutils"
  "rmw"
  "Connext")
ament_export_libraries(rmw_connext_shared_cpp)

if(WIN32)
  # Causes the visibility macros to use dllexport rather than dllimport
  # which is appropriate when building the dll but not consuming it.
  target_compile_definitions(rmw_connext_shared_cpp
    PRIVATE "RMW_CONNEXT_SHARED_CPP_BUILDING_DLL"
            "_CRT_NONSTDC_NO_DEPRECATE")
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${rmw_INCLUDE_DIRS})
  ament_lint_auto_find_test_dependencies()
  add_subdirectory(test)
endif()

ament_package(
  CONFIG_EXTRAS "rmw_connext_shared_cpp-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_connext_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)

ament_add_gtest(test_topic_cache test_topic_cache.cpp)
if(TARGET test_topic_cache)
    ament_target_dependencies(test_topic_cache)
    target_link_libraries(test_topic_cache ${PROJECT_NAME})
endif()

ament_add_gmock(test_security_logging test_security_logging.cpp)
if(TARGET test_security_logging)
    ament_target_dependencies(test_security_logging)
    target_link_libraries(test_security_logging ${PROJECT_NAME})
endif()

=== debian/changelog ===
ros-foxy-rmw-connext-shared-cpp (1.0.3-1focal) focal; urgency=high

  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>) (#470 <https://github.com/ros2/rmw_connext/issues/470>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (1.0.2-1focal) focal; urgency=high

  * Fixed Foxy
  * Updated rmw_* return codes (#463 <https://github.com/ros2/rmw_connext/issues/463>)
  * Update graph API return codes. (#459 <https://github.com/ros2/rmw_connext/issues/459>)
  * Ensure compliant publisher API (#445 <https://github.com/ros2/rmw_connext/issues/445>)
  * Ensure compliant node construction/destruction API. (#439 <https://github.com/ros2/rmw_connext/issues/439>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Oct 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (1.0.1-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID (#427 <https://github.com/ros2/rmw_connext/issues/427>) (#430 <https://github.com/ros2/rmw_connext/issues/430>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (1.0.0-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#423 <https://github.com/ros2/rmw_connext/issues/423>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.9.1-1focal) focal; urgency=high

  * Initialize RMW qos profiles to rmw_qos_profile_unknown. (#422 <https://github.com/ros2/rmw_connext/issues/422>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.9.0-1focal) focal; urgency=high

  * Add basic support for security logging plugin (#404 <https://github.com/ros2/rmw_connext/issues/404>)
  * security-context -> enclave (#407 <https://github.com/ros2/rmw_connext/issues/407>)
  * Do not force 510 locators compatibility mode (#406 <https://github.com/ros2/rmw_connext/issues/406>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#392 <https://github.com/ros2/rmw_connext/issues/392>)
  * Correct error message when using a non supported event (#400 <https://github.com/ros2/rmw_connext/issues/400>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#398 <https://github.com/ros2/rmw_connext/issues/398>)
  * Increase the max_objects_per_thread (#394 <https://github.com/ros2/rmw_connext/issues/394>)
    Increased to 8192, which should allow something like 60 - 70 participants.
  * Add rmw_*_event_init() functions (#397 <https://github.com/ros2/rmw_connext/issues/397>)
  * Fix build warnings due to -Wsign-compare with GCC 9 (#396 <https://github.com/ros2/rmw_connext/issues/396>)
  * Don't use RTPS Participant name as node name (#393 <https://github.com/ros2/rmw_connext/issues/393>)
  * Implement the rmw_get_publishers/subscriptions_info_by_topic() methods (#391 <https://github.com/ros2/rmw_connext/issues/391>)
  * Finding rmw_connext_shared_cpp must succeed, only rmw_connext_cpp can signal not-found when Connext is not available (#389 <https://github.com/ros2/rmw_connext/issues/389>)
  * Code style only: wrap after open parenthesis if not in one line (#387 <https://github.com/ros2/rmw_connext/issues/387>)
  * Avoid using build time Connext library paths, determine them when downstream packages are built (#385 <https://github.com/ros2/rmw_connext/issues/385>)
  * Stubs for rmw_get_publishers_info_by_topic and rmw_get_subscriptions_info_by_topic  (#377 <https://github.com/ros2/rmw_connext/issues/377>)
  * Filtering empty node names and namespaces (#362 <https://github.com/ros2/rmw_connext/issues/362>)
  * Contributors: CaptainTrunky, Chris Lalancette, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Jaison Titus, Kyle Fazzari, Miaofei Mei, Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.8.1-1focal) focal; urgency=high

  * Support localhost only communication (#373 <https://github.com/ros2/rmw_connext/issues/373>)
  * update logic / patches to optionally support Connext 6 (#374 <https://github.com/ros2/rmw_connext/issues/374>)
  * Contributors: Brian Marchi, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.8.0-1focal) focal; urgency=high

  * Return specific error when not finding a node name (#365 <https://github.com/ros2/rmw_connext/issues/365>)
  * Add function for getting clients by node (#361 <https://github.com/ros2/rmw_connext/issues/361>)
  * Use rpputils::find_and_replace instead of std::regex_replace (#359 <https://github.com/ros2/rmw_connext/issues/359>)
  * Implement get_actual_qos() for subscriptions (#358 <https://github.com/ros2/rmw_connext/issues/358>)
  * Contributors: Jacob Perron, M. M, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.7.2-1focal) focal; urgency=high

  * Include 'srv' in service type namespace. (#356 <https://github.com/ros2/rmw_connext/issues/356>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.7.1-1focal) focal; urgency=high

  * Combine package name with type namespace in type support struct (#354 <https://github.com/ros2/rmw_connext/issues/354>)
  * Implement QoS: liveliness, deadline, lifespan (#352 <https://github.com/ros2/rmw_connext/issues/352>)
  * Contributors: Devin Bonnie, Jacob Perron, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000



=== debian/control ===
Source: ros-foxy-rmw-connext-shared-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-connext-cmake-module, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-cmake, rti-connext-dds-5.3.1, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-connext-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake, ros-foxy-connext-cmake-module, rti-connext-dds-5.3.1, ros-foxy-ros-workspace
Description: C++ types and functions shared by the ROS middleware interface to RTI Connext Static and RTI Connext Dynamic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmw-connext-shared-cpp//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
